Page MenuHomePhabricator

Showing wrong colors in the Wikidata logo
Closed, ResolvedPublic

Description

I see wrong colors in the Wikidata logo (upper left corner of wikidata.org) with the main web browsers.

My red, green and blue aren't the actual Wikimedia colors, they look dirtier than they should be.

  • My red is rgb(141,35,10)/#8D230A, but should be rgb(153,0,0)/#990000.
  • My green is rgb(81,148,105)/#519469, but should be rgb(51,153,102)/#339966.
  • My blue is rgb(36,102,149)/#246695, but should be rgb(0,102,153)/#006699.

I can properly see the expected colors for this logo in Commons.

Is there something wrong with color indexing in this file? Or is this an intended decision to save resources?

Event Timeline

abian created this task.Apr 15 2017, 2:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2017, 2:57 PM

Not an intentional decision from my side. Adding Reedy to see if he has something to say about the technical side.

This comment was removed by Lydia_Pintscher.
Zppix added a subscriber: Zppix.Apr 18 2017, 1:56 PM

I can't see any differences between them.

Reedy added a comment.Apr 18 2017, 2:04 PM

I can see a difference between the reds, and possibly the blue

AFAIK, there shouldn't be any performance/similar reasons to "save resources" (smaller file or whatever), that was just the process of moving them to the /static/ URLs

Has this changed recently? The file at https://github.com/wikimedia/operations-mediawiki-config/blob/master/static/images/project-logos/wikidata.png has been there at least a year (and the last "change" was a file move)

Not dug into who made the version there, so not sure if there was some compression or similar done, that may have caused a colour change

Should be fine to just upload a patch to gerrit to change it, and then SWAT it out like any other change

The differences can be more or less noticeable depending on the screen, on your position while looking at the screen and on your own color sensitivity or blindness. For example, when I stand up, I see a huge difference between colors, but this difference is less noticeable when I'm sitting. When you don't know for certain if colors are right or wrong, you can use a color picker for your web browser.

If I open wikidata.png with GIMP, go to Image > Mode, change from Indexed... to RGB, and save the file, I get the right logo. This is a possible solution, but surely the experts know another and I imagine there's some reason why the image was stored with an atypical color indexing.

Has this changed recently? The file at https://github.com/wikimedia/operations-mediawiki-config/blob/master/static/images/project-logos/wikidata.png has been there at least a year (and the last "change" was a file move)

I'm pretty sure that this version has been used for a long time.

abian added a subscriber: ori.Apr 20 2017, 11:47 AM

This issue could be related to 3463cd6e0499, pinging @ori.

I have downloaded the right logo (3015 bytes) and optimized it (2098 bytes) using optipng.

$ optipng -o7 wikidatawiki.png
** Processing: wikidatawiki.png
156x110 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 2940 bytes
Input file size = 3015 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0		IDAT size = 2023
  zc = 9  zm = 8  zs = 0  f = 0		IDAT size = 2023
                               
Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0		IDAT size = 2023

Output IDAT size = 2023 bytes (917 bytes decrease)
Output file size = 2098 bytes (917 bytes = 30.41% decrease)

The colors are correct. This version can be downloaded from here (SHA-1: 0x5b78a8430ce339b4d606062cb04e11c59e9f046c).

Is this version okay for you, @Reedy?

Change 350697 had a related patch set uploaded (by Abián; owner: Abián):
[operations/mediawiki-config@master] Fix colors to match style guide, Bug: T163048

https://gerrit.wikimedia.org/r/350697

abian moved this task from Incoming to For Review on the Design board.Apr 28 2017, 9:44 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.May 5 2017, 1:51 PM

Change 350697 had a related patch set uploaded (by Catrope; owner: Abián):
[operations/mediawiki-config@master] Fix colors to match style guide

https://gerrit.wikimedia.org/r/350697

Change 350697 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix colors to match style guide

https://gerrit.wikimedia.org/r/350697

Mentioned in SAL (#wikimedia-operations) [2017-05-08T18:26:17Z] <catrope@tin> Synchronized static/images/project-logos/: T163048 (duration: 00m 39s)

abian closed this task as Resolved.May 9 2017, 9:55 PM
abian claimed this task.
abian removed a project: Patch-For-Review.
abian moved this task from To deploy to Done on the Wikimedia-Site-requests board.

Fixed.